package endpoints

import (
	"encoding/json"
	"net/http"

	. "github.com/imosed/signet/data"
	"github.com/rs/zerolog/log"
)

type GetQueuesResponse struct {
	Queues []Queue `json:"queues"`
}

func GetQueues(w http.ResponseWriter, _ *http.Request) {
	var resp GetQueuesResponse

	Db.Table("queues").Scan(&resp.Queues)

	err := json.NewEncoder(w).Encode(resp)
	if err != nil {
		log.Error().Err(err).Msg("Could not deliver response in GetQueues call")
	}
}
